yum transaction check error, package conflicts with file grub2-common on RHEL 7

Solution Unverified - Updated -

Issue

  • Running the 'yum update' shows the below error message:
Transaction check error:
  file /boot/efi/EFI/redhat from install of grub2-efi-x64-1:2.02-0.76.el7.1.x86_64 conflicts with file from package grub2-common-1:2.02-0.65.el7_4.2.noarch

Environment

  • Red Hat Enterprise Linux Server release 7.6

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In